
const express = require('express');
const { createProxyMiddleware } = require('http-proxy-middleware');
const cors = require('cors')
const app = express();

app.use(cors({
  origin: '*'
}))

//Deployment configs
app.use('/llm', createProxyMiddleware({ target: 'http://157.66.191.31:30103', changeOrigin: true }));

app.listen(3000, () => {
  console.log("Server started in port 3000!");
});